Virtual base class functions

## Functions

virtual void | flext_base::CbLoadbang ()
| called on patcher load (not on mere object creation!)
virtual void | flext_base::m_loadbang ()
virtual void | flext_base::CbClick ()
| called on (double-)click into object box
virtual bool | flext_base::CbMethodHandler (int inlet, const t_symbol *s, int argc, const t_atom *argv)
| Called for every incoming message. All method handling is done in there.
virtual bool | flext_base::CbMethodResort (int inlet, const t_symbol *s, int argc, const t_atom *argv)
| Called for every unhandled message (by CbMethodHandler)
virtual bool | flext_base::m_method_ (int inlet, const t_symbol *s, int argc, const t_atom *argv)
virtual bool | flext_base::CbIdle ()

## Detailed Description

## Function Documentation

## CbClick()

void flext_base::CbClick | ( |  | ) |

virtual

called on (double-)click into object box

## CbIdle()

bool flext_base::CbIdle | ( |  | ) |

virtual

## CbLoadbang()

void flext_base::CbLoadbang | ( |  | ) |

virtual

called on patcher load (not on mere object creation!)

## CbMethodHandler()

bool flext_base::CbMethodHandler | ( | int | inlet,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

virtual

Called for every incoming message. All method handling is done in there.

All the message processing The messages of all the inlets go here and are promoted to the registered callback functions.

Returns
  True if a handler was found and called

## CbMethodResort()

bool flext_base::CbMethodResort | ( | int | inlet,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

virtual

Called for every unhandled message (by CbMethodHandler)

## m_loadbang()

void flext_base::m_loadbang | ( |  | ) |

virtual

## m_method_()

bool flext_base::m_method_ | ( | int | inlet,
|  | const t_symbol * | s,
|  | int | argc,
|  | const t_atom * | argv
| ) |  |

virtual